View a markdown version of this page

CreateBrandProfile - AWS End User Messaging

CreateBrandProfile

Creates a brand profile. A brand profile is a lightweight container that holds your brand identity information as flexible attributes. After you create a brand profile, use the CreateBrandProfileAttributes operation to add company information, addresses, compliance documents, and logos.

Request Syntax

POST /v1/brand-profiles HTTP/1.1 Content-type: application/json { "brandProfileName": "string", "clientToken": "string", "deletionProtectionEnabled": boolean, "tags": [ { "key": "string", "value": "string" } ] }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

brandProfileName

The name of the brand profile. The name can contain alphanumeric characters, underscores, hyphens, and spaces.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 64.

Pattern: [A-Za-z0-9_ -]*[A-Za-z0-9_-][A-Za-z0-9_ -]*

Required: Yes

clientToken

A unique, case-sensitive identifier that you provide to ensure the idempotency of the request. If you do not specify a client token, the AWS SDK automatically generates one.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 128.

Pattern: [\x21-\x7E]+

Required: No

deletionProtectionEnabled

Specifies whether deletion protection is enabled. When enabled, the resource cannot be deleted until deletion protection is turned off.

Type: Boolean

Required: No

tags

An array of key and value pair tags that are associated with the resource.

Type: Array of Tag objects

Array Members: Minimum number of 0 items. Maximum number of 50 items.

Required: No

Response Syntax

HTTP/1.1 200 Content-type: application/json { "attributesCreated": number, "brandProfileArn": "string", "brandProfileId": "string", "brandProfileName": "string", "createdAt": number, "deletionProtectionEnabled": boolean, "status": "string", "updatedAt": number }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

attributesCreated

The number of default attributes that were created for the brand profile.

Type: Integer

brandProfileArn

The Amazon Resource Name (ARN) of the brand profile.

Type: String

Length Constraints: Minimum length of 20. Maximum length of 256.

Pattern: arn:[A-Za-z0-9_:/-]+

brandProfileId

The unique identifier of the brand profile.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 256.

Pattern: [A-Za-z0-9_:/-]+

brandProfileName

The name of the brand profile. The name can contain alphanumeric characters, underscores, hyphens, and spaces.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 64.

Pattern: [A-Za-z0-9_ -]*[A-Za-z0-9_-][A-Za-z0-9_ -]*

createdAt

The time when the resource was created, in Unix epoch time.

Type: Timestamp

deletionProtectionEnabled

Specifies whether deletion protection is enabled. When enabled, the resource cannot be deleted until deletion protection is turned off.

Type: Boolean

status

The current lifecycle status of the brand profile.

Type: String

Valid Values: ACTIVE | BLOCKED | PAUSED | CANCELLED | FAILED

updatedAt

The time when the resource was last updated, in Unix epoch time.

Type: Timestamp

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

You do not have sufficient access to perform this action.

HTTP Status Code: 403

ConflictException

The request conflicts with the current state of the resource.

resourceId

The identifier of the resource that the request conflicts with.

resourceType

The type of the resource that the request conflicts with.

HTTP Status Code: 409

InternalServerException

An unexpected error occurred during the processing of the request.

HTTP Status Code: 500

ServiceQuotaExceededException

The request would exceed a service quota for your account.

HTTP Status Code: 400

ThrottlingException

The request was denied because it exceeded the allowed request rate.

HTTP Status Code: 429

ValidationException

The input fails to satisfy the constraints specified by the service. Check your request parameters and retry the request.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: